package com.clx.performance.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.msl.common.config.KeyColumn;
import com.msl.common.model.HasKey;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.apache.poi.hpsf.Decimal;

import java.time.LocalDateTime;

/**
 * 货主账户;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-10-12
 */
@Getter
@Setter
@NoArgsConstructor
@TableName(autoResultMap = true)
public class OwnerAccount implements HasKey<Integer> {
    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 货主编码
     */
    private String accountCode;
    /**
     * 货主名称
     */
    private String accountName;
    /**
     * 联系电话
     */
    private Integer mobile;
    /**
     * 账户类型;1:保证金 2：预付运费
     */
    private Integer accountType;
    /**
     * 账户余额
     */
    private Decimal accountBalance;
    /**
     * 可用余额
     */
    private Decimal usableBalance;
    /**
     * 冻结金额
     */
    private Decimal frozenBalance;
    /**
     * 创建人
     */
    private String createBy;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    @KeyColumn("id")
    @Override
    public Integer gainKey() {
        return id;
    }
}