package com.clx.performance.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.msl.common.config.KeyColumn;
import com.msl.common.model.HasKey;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.time.LocalDateTime;

/**
 * 货主绑卡记录;
 *
 * @date : 2023-10-12
 */
@Getter
@Setter
@NoArgsConstructor
@TableName(autoResultMap = true)
public class OwnerBindCardRecord implements HasKey<Integer> {
    /**
     * id
     */
    private Integer id;
    /**
     * 货主编码
     */
    private String ownerCode;
    /**
     * 货主名称
     */
    private String ownerName;
    /**
     * 货主类型;1:企业 2：个人
     */
    private Integer ownerType;
    /**
     * 货主银行
     */
    private String ownerBank;
    /**
     * 银行卡号
     */
    private String bankCardNumber;
    /**
     * 开户行
     */
    private String openAccountBank;
    /**
     * 户名
     */
    private String accountBankName;
    /**
     * 操作人
     */
    private String createBy;
    /**
     * 操作项目
     */
    private String createItem;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    @KeyColumn("id")
    @Override
    public Integer gainKey() {
        return id;
    }
}