package com.clx.performance.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.msl.common.config.KeyColumn;
import com.msl.common.model.HasKey;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.apache.poi.hpsf.Decimal;

import java.time.LocalDateTime;

/**
 * 货主流水记录;
 *
 * @date : 2023-10-12
 */
@Getter
@Setter
@NoArgsConstructor
@TableName(autoResultMap = true)
public class OwnerRunningWaterRecord implements HasKey<Integer> {
    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 货主编码
     */
    private String ownerCode;
    /**
     * 货主名称
     */
    private String ownerName;
    /**
     * 联系电话
     */
    private Integer mobile;
    /**
     * 账户类型
     */
    private Integer accountType;
    /**
     * 流水类型
     */
    private Integer runningWaterType;
    /**
     * 订单ID
     */
    private Integer orderId;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 运单ID
     */
    private Integer orderChildId;
    /**
     * 运单编号
     */
    private String orderChildNo;
    /**
     * 变动金额
     */
    private Double alterationBalance;
    /**
     * 冻结金额
     */
    private Decimal frozenBalance;
    /**
     * 可用余额
     */
    private Decimal usableBalance;
    /**
     * 账户余额
     */
    private Decimal accountBalance;
    /**
     * 操作人
     */
    private String createBy;
    /**
     * 操作时间
     */
    private LocalDateTime createTime;

    @KeyColumn("id")
    @Override
    public Integer gainKey() {
        return id;
    }
}